# vim: set sw=4 ts=4 et nu:

Name:           perl-Gtk2-WebKit
Version:        0.08
Release:        3.3
Summary:        Web content engine library for Gtk2
Source:         http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/Gtk2-WebKit-%{version}.tar.gz
URL:            http://search.cpan.org/dist/Gtk2-WebKit
Group:          Development/Libraries/Perl
License:        Perl License
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
#BuildRequires:  perl-macros
BuildRequires:  make
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(Gtk2::CodeGen)
BuildRequires:  perl(Glib::MakeHelper)
BuildRequires:  perl(ExtUtils::Depends)
BuildRequires:  perl(ExtUtils::PkgConfig)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Gtk2)
BuildRequires:  libwebkit-devel
BuildRequires:  make pkgconfig gcc
Requires:       perl(Gtk2)

%description
WebKit is a web content engine, derived from KHTML and KJS from KDE, and
used primarily in Apple's Safari browser. It is made to be embedded in
other applications, such as mail readers, or web browsers.
It is able to display content such as HTML, SVG, XML, and others. It also
supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
For more information about WebKit visit
<http://webkit.org/>
<http://live.gnome.org/WebKit>

%prep
%setup -q -n "Gtk2-WebKit-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install

%__rm -rf "%{buildroot}%{perl_vendorarch}/Gtk2/WebKit/Install"

%perl_process_packlist

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorarch}/Gtk2
%doc %{perl_vendorarch}/Gtk2/WebKit.pod
%{perl_vendorarch}/Gtk2/WebKit.pm
%{perl_vendorarch}/Gtk2/WebKit
%dir %{perl_vendorarch}/auto/Gtk2
%{perl_vendorarch}/auto/Gtk2/WebKit
%doc %{perl_man3dir}/Gtk2::WebKit.%{perl_man3ext}%{ext_man}
%doc %{perl_man3dir}/Gtk2::WebKit::*.%{perl_man3ext}%{ext_man}

%changelog
* Tue Mar 15 2011 pascal.bleser@opensuse.org
- initial version (0.08)
